View Issue Details

IDProjectCategoryView StatusLast Update
13632Bug reports[All Projects] Import/Exportpublic2019-08-27 15:00
Reporterollehar Assigned Toeddylackmann  
PrioritynoneSeveritycrash 
Status closedResolutionfixed 
Product Version3.7.x 
Target VersionFixed in Version3.17.x 
Summary13632: Can't import survey in postgres
Description

Trying to import a survey I get:

CDbCommand failed to execute the SQL statement: SQLSTATE[42P10]: Invalid column reference: 7 ERROR: for SELECT DISTINCT, ORDER BY expressions must appear in select list
LINE 1: ...d='259743' and parent_qid=0 GROUP BY qid ORDER BY question_o...
^. The SQL statement executed was: SELECT DISTINCT qid FROM "lime_questions" "t" WHERE sid=:sid and parent_qid=0 GROUP BY qid ORDER BY question_order

Steps To Reproduce
  1. Install master with postgres
  2. Import survey
  3. Crash
Additional Information

Would be nice if anyone else could confirm this problem.

TagsNo tags attached.
Complete LimeSurvey version number (& build)master
I will donate to the project if issue is resolvedNo
Browser-
Database & DB-Versionpsql (PostgreSQL) 10.3 (Ubuntu 10.3-1.pgdg14.04+1)
Server OS (if known)-
Webserver software & version (if known)-
PHP Version7.1

Activities

ollehar

ollehar

2018-04-24 15:07

administrator  

limesurvey_survey_259743.lss (410,323 bytes)
DenisChenu

DenisChenu

2018-04-24 15:20

developer   ~47511

Imported with success, last GIT
PHP : 5.6.35-1~dotdeb+7.1
pgsql 9.1.24lts2

ollehar

ollehar

2018-04-26 11:45

administrator   ~47541

Yeah, it only fails on latest postgres. Thanks for testing, Denis.

LouisGac

LouisGac

2018-05-16 12:14

manager   ~47614

maybe we should just raise the minimal psql version?

ollehar

ollehar

2018-05-16 12:15

administrator   ~47615

Last edited: 2018-05-16 12:15

View 2 revisions

@LouisGac, it's the other way around - it fails on the latest postgres version.

LouisGac

LouisGac

2018-05-16 12:43

manager   ~47623

maybe we should just down the maximal psgsql version?

DenisChenu

DenisChenu

2018-05-18 10:06

developer   ~47674

@olle : you don't fix it ?
@LouisGac : i prefer to remove msql support than pg ;)

ollehar

ollehar

2018-05-18 10:18

administrator   ~47679

I don't have time to fix it.

DenisChenu

DenisChenu

2018-05-18 13:21

developer   ~47683

But i think you already fixed ? I remind to see a fix ??? I'm mad or not ?

ollehar

ollehar

2018-05-18 15:15

administrator   ~47686

Did not touch this.

cdorin

cdorin

2019-07-11 15:04

manager   ~52834

@ollehar & @DenisChenu are there any updates on this one?

ollehar

ollehar

2019-07-11 15:24

administrator   ~52841

Nothing from me. Maybe assign it to someone responsible for LimeSurvey? ;)

eddylackmann

eddylackmann

2019-08-27 11:36

developer   ~53286

I will create an installation of LS with postgre DB and test it (fix it if possible).

eddylackmann

eddylackmann

2019-08-27 14:37

developer   ~53293

@DenisChenu it actually works in the newer version of LS3 (3.17.13). So i think it's already fixed !!

DenisChenu

DenisChenu

2019-08-27 14:43

developer   ~53295

@eddylackmann : don't found time myself to test on PostgreSQL 10 and up :) i only check on pgsql 9 where it's OK.

eddylackmann

eddylackmann

2019-08-27 14:46

developer  

postgreSql.PNG (4,184 bytes)
postgreSql.PNG (4,184 bytes)
eddylackmann

eddylackmann

2019-08-27 14:46

developer   ~53297

Works fine on PostgreSQl 10



survey import.PNG (31,554 bytes)
survey import.PNG (31,554 bytes)
eddylackmann

eddylackmann

2019-08-27 14:48

developer   ~53298

@DenisChenu so will close this ticket. Or did you wanna try it by yourself ?

DenisChenu

DenisChenu

2019-08-27 14:49

developer   ~53299

Ask at @ollehar : i never checked or report this bug …

ollehar

ollehar

2019-08-27 14:50

administrator   ~53300

I have

$ psql -V
psql (PostgreSQL) 11.3 (Ubuntu 11.3-1.pgdg14.04+1)

Will test now.

Issue History

Date Modified Username Field Change
2018-04-24 15:07 ollehar New Issue
2018-04-24 15:07 ollehar File Added: limesurvey_survey_259743.lss
2018-04-24 15:20 DenisChenu Note Added: 47511
2018-04-26 11:45 ollehar Note Added: 47541
2018-05-16 12:14 LouisGac Note Added: 47614
2018-05-16 12:15 ollehar Note Added: 47615
2018-05-16 12:15 ollehar Note Edited: 47615 View Revisions
2018-05-16 12:43 LouisGac Note Added: 47623
2018-05-18 10:06 DenisChenu Note Added: 47674
2018-05-18 10:18 ollehar Note Added: 47679
2018-05-18 13:21 DenisChenu Note Added: 47683
2018-05-18 15:15 ollehar Note Added: 47686
2019-07-11 15:04 cdorin Assigned To => cdorin
2019-07-11 15:04 cdorin Status new => feedback
2019-07-11 15:04 cdorin Note Added: 52834
2019-07-11 15:24 ollehar Note Added: 52841
2019-07-11 15:24 ollehar Status feedback => assigned
2019-08-08 17:19 cdorin Assigned To cdorin => eddylackmann
2019-08-27 11:36 eddylackmann Note Added: 53286
2019-08-27 14:37 eddylackmann Status assigned => feedback
2019-08-27 14:37 eddylackmann Note Added: 53293
2019-08-27 14:43 DenisChenu Note Added: 53295
2019-08-27 14:46 eddylackmann File Added: postgreSql.PNG
2019-08-27 14:46 eddylackmann File Added: survey import.PNG
2019-08-27 14:46 eddylackmann Note Added: 53297
2019-08-27 14:48 eddylackmann Note Added: 53298
2019-08-27 14:49 DenisChenu Note Added: 53299
2019-08-27 14:50 ollehar Note Added: 53300
2019-08-27 14:50 ollehar Status feedback => assigned
2019-08-27 15:00 eddylackmann Status assigned => closed
2019-08-27 15:00 eddylackmann Resolution open => fixed
2019-08-27 15:00 eddylackmann Fixed in Version => 3.17.x